Bug 976538 - SASL GSSAPI Ignores Custom Keytab
SASL GSSAPI Ignores Custom Keytab
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 976549 1024488
  Show dependency treegraph
 
Reported: 2013-06-20 14:27 EDT by Solly Ross
Modified: 2013-10-29 14:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: cyrus-sasl-2.1.26-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 976549 (view as bug list)
Environment:
Last Closed: 2013-07-03 21:01:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Handle cases where gsskrb5_register_acceptor_identity() is a macro. (1.24 KB, patch)
2013-06-20 14:30 EDT, Nalin Dahyabhai
no flags Details | Diff

  None (edit)
Description Solly Ross 2013-06-20 14:27:37 EDT
Description of problem:

SASL GSSAPI ignoring `keytab` parameter in /etc/sasl2/xyz.conf

Version-Release number of selected component (if applicable):

cyrus-sasl-2.1.26-8


Steps to Reproduce:
1.turn on GSSAPI in /etc/sasl2/something.conf as a mechanism
2.set the keytab using the `keytab: /some/path/krb5.tab` in /etc/sasl2/something.conf
3. Try to use the program that uses sasl

Actual results:

The program configured with a custom keytab uses the default keytab

Expected results:

A program configured with a custom keytab should use that keytab
Comment 1 Nalin Dahyabhai 2013-06-20 14:30:29 EDT
Created attachment 763561 [details]
Handle cases where gsskrb5_register_acceptor_identity() is a macro.
Comment 2 Petr Lautrbach 2013-06-24 13:12:15 EDT
Applied. Thanks for the report and the patch.
Comment 3 Fedora Update System 2013-06-25 04:45:55 EDT
cyrus-sasl-2.1.26-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cyrus-sasl-2.1.26-9.fc19
Comment 4 Fedora Update System 2013-06-25 17:17:27 EDT
Package cyrus-sasl-2.1.26-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cyrus-sasl-2.1.26-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11677/cyrus-sasl-2.1.26-9.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-03 21:01:10 EDT
cyrus-sasl-2.1.26-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.